Home
Home
  1. Payment Requests
  • Welcome
    • About Ontime
    • Overview
    • Test and Learn Projects
  • Authentication
  • Idempotency
  • Availability Check
    • Light Availability Check
      POST
    • Full Availability Check
      POST
  • Payment Management
    • Mandates
      • Create a new mandate
      • Revoke an existing mandate
      • Get a Mandate
      • Get many Mandates
    • Payment Requests
      • Instruct a new payment request
        POST
      • Cancel an existing payment request
        DELETE
      • Get a Payment
        GET
      • Get many Payments
        GET
    • Schedules
      • Instruct a new schedule
      • Cancel an existing schedule
      • Get a schedule
      • Get many schedules
  • Payouts
    • Get a Payout
      GET
    • Get Available Payouts
      GET
  • Webhooks
    • Mandate Created/Updated
    • Payment Request Created/Updated
    • Payout Created
  • Schemas
    • Schemas
      • PaymentManagement
        • MandateLimitations
        • MandateRecordResponse
        • MandateDeleteResponse
        • GetMandatesPagedResponse
        • MandateStatus
        • MandateRecordRequest
        • PaymentCreateRequest
        • PaymentResponse
        • PaymentDeleteResponse
        • GetPaymentsPagedResponse
        • PaymentStatus
        • AuthorisationSource
        • ScheduleCreateRequest
        • InstalmentResponse
        • ScheduleStatus
        • ScheduleResponse
        • InstalmentRequest
        • ScheduleCancelResponse
        • ExpectedPayment
        • PaymentCancelResponse
      • Payout
        • PayoutResponse
        • PayoutPaymentRequestItem
        • ListPayoutsResponse
      • Deprecated
        • Invitation
        • Consumer
        • PaymentMethod
        • ProductPaymentStatus
        • ProductStatus
        • PaymentRequestData
      • Webhook
        • Webhook
        • WebhookPaymentRequestPayload
        • WebhookMandatePayload
        • WebhookPayoutPayload
      • Core
        • ConsumerData
        • ProblemDetails
        • Metadata
        • PagingResponse
      • Availability
        • FullAvailabilityCheckRequest
        • FullAvailabilityCheckResponse
        • AvailabilityStatus
        • LightAvailabilityCheckRequest
        • LightAvailabilityCheckResponse
  1. Payment Requests

Cancel an existing payment request

Developing
Cloud Mock
https://mock.apidog.com/m1/828215-0-default
Cloud Mock
https://mock.apidog.com/m1/828215-0-default
DELETE
https://mock.apidog.com/m1/828215-0-default
/payments/{payment_id}
OperationId:cancel_payment_request_by_id
This will attempt to cancel a previously requested payment. The operation will fail if the payment is already in the process of being deducted by the payroll.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
OAuth 2.0
Client Credentials
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Token URL: https://{domain}.auth.{region}.amazoncognito.com
Scopes:
payments:write-Create and cancel payment requests.
or
Path Params

Query Params

Responses

🟢200Success
application/json
Body

🟠409Conflict
🟠422Parameter Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE 'https://mock.apidog.com/m1/828215-0-default/payments/ce8c38b9-8fc0-4c34-a0a0-1ec929271b58?allow_partial_collection=' \
--header 'x-api-key: <api-key>' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "detail": "PartiallyCancelled",
    "payment_record": {
        "id": "fcc86f74-0110-466c-9d8b-1fb6c8acd206",
        "mandate_id": "f36d6a27-de00-41ce-ad89-7d835f2d441a",
        "due_date": "2026-05-04",
        "requested_amount": 4136,
        "currency": "GBP",
        "status": "Cancelled",
        "actual_amount": 46819,
        "metadata": null,
        "expected_payments": [
            {
                "expected_pay_date": "2027-03-02",
                "amount": 4136,
                "supply_method": "Payroll",
                "status": "Cancelled"
            }
        ]
    }
}
Previous
Instruct a new payment request
Next
Get a Payment